## gquilt 0.15

=== Makefile ===
MAJVER=0
MINVER=15
VERSION=$(MAJVER).$(MINVER)
PREFIX=/usr/local
MODULE_PREFIX=share
MODULES=gquilt gquilt_gtk gquilt_utils gquilt_icons gquilt_pfuns gquilt_tool gquilt_quilt
MODULES_SRC=$(patsubst %,%.py, $(MODULES))
MODULES_BIN=$(patsubst %,%.pyc, $(MODULES))
MODULES_OPT=$(patsubst %,%.pyo, $(MODULES))
ICONS=gquilt_pop.png gquilt_push.png gquilt_fold.png gquilt_import.png gquilt_diff.png
ICONS+=gquilt_cross.png gquilt_tick.png gquilt_meld.png
ICON_LIST=$(patsubst %,icons/%,$(ICONS))

SRC=gquilt.sh Makefile compile.py $(MODULES_SRC) gquilt.xpm gquilt.desktop ChangeLog gquilt.spec qbsfe.sh COPYING
RELDIR=/tmp/gquilt-$(VERSION)

all: $(MODULES_BIN) $(MODULES_OPT)
	@echo "\"make install\" to install in /usr/local"

.PHONY: gquilt
gquilt: gquilt.sh
	sed -e 's;@PREFIX@;$(PREFIX);g' -e 's;@MODULE_PREFIX@;$(MODULE_PREFIX);g' $< > $@

gquilt.spec: gquilt.spec.in Makefile
	sed -e 's;@VERSION@;$(VERSION);g' $< > $@

%.pyc: %.py
	python -c "import py_compile ; \
		py_compile.compile('$^', None, \
		'$(PREFIX)/$(MODULE_PREFIX)/gquilt/$^', True)"

%.pyo: %.py
	python -O -c "import py_compile ; \
		py_compile.compile('$^', None, \
		'$(PREFIX)/$(MODULE_PREFIX)/gquilt/$^', True)"

install: gquilt $(MODULES_BIN) $(MODULES_OPT)
	install -m 0755 -d $(DESTDIR)$(PREFIX)/bin
	install -m 0755 gquilt $(DESTDIR)$(PREFIX)/bin
	install -m 0755 -d $(DESTDIR)$(PREFIX)/$(MODULE_PREFIX)/gquilt/icons
	install -m 0755 qbsfe.sh $(DESTDIR)$(PREFIX)/$(MODULE_PREFIX)/gquilt
	install -m 0755 -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 0755 -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 0644 $(MODULES_SRC)  $(DESTDIR)$(PREFIX)/$(MODULE_PREFIX)/gquilt
	install -m 0644 $(MODULES_BIN)  $(DESTDIR)$(PREFIX)/$(MODULE_PREFIX)/gquilt
	install -m 0644 $(MODULES_OPT)  $(DESTDIR)$(PREFIX)/$(MODULE_PREFIX)/gquilt
	install -m 0644 gquilt.xpm $(DESTDIR)$(PREFIX)/share/pixmaps/gquilt.xpm
	install -m 0644 $(ICON_LIST) $(DESTDIR)$(PREFIX)/$(MODULE_PREFIX)/gquilt/icons
	install -m 0644 gquilt.desktop $(DESTDIR)$(PREFIX)/share/applications
	rm gquilt

clean:
	-rm *.pyc *~

release: $(SRC)
	-rm -r $(RELDIR)
	mkdir -p $(RELDIR)/icons
	cp $(SRC) $(RELDIR)
	cp $(ICON_LIST) $(RELDIR)/icons
	(cd /tmp; tar zcf gquilt-$(VERSION).tar.gz gquilt-$(VERSION))
	-rm -r $(RELDIR)/*
	rmdir $(RELDIR)
	mv /tmp/gquilt-$(VERSION).tar.gz .
