## gquilt 0.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 MAJVER=0
-MINVER=15
+MINVER=17
 VERSION=$(MAJVER).$(MINVER)
 PREFIX=/usr/local
 MODULE_PREFIX=share
