## gquilt 0.20

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 MAJVER=0
-MINVER=17
+MINVER=20
 VERSION=$(MAJVER).$(MINVER)
 PREFIX=/usr/local
 MODULE_PREFIX=share
-MODULES=gquilt gquilt_gtk gquilt_utils gquilt_icons gquilt_pfuns gquilt_tool gquilt_quilt
+MODULES=gquilt gquilt_gtk gquilt_utils gquilt_icons gquilt_pfuns gquilt_tool
+MODULES+=gquilt_quilt gquilt_mq gquilt_const
 MODULES_SRC=$(patsubst %,%.py, $(MODULES))
 MODULES_BIN=$(patsubst %,%.pyc, $(MODULES))
 MODULES_OPT=$(patsubst %,%.pyo, $(MODULES))
