## gquilt 0.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 MAJVER=0
-MINVER=20
+MINVER=22
 VERSION=$(MAJVER).$(MINVER)
 PREFIX=/usr/local
 MODULE_PREFIX=share
@@ -9,7 +9,7 @@
 MODULES_BIN=$(patsubst %,%.pyc, $(MODULES))
 MODULES_OPT=$(patsubst %,%.pyo, $(MODULES))
 ICONS=gquilt_pop.png gquilt_push.png gquilt_fold.png gquilt_import.png gquilt_diff.png
-ICONS+=gquilt_cross.png gquilt_tick.png gquilt_meld.png
+ICONS+=gquilt_cross.png gquilt_tick.png gquilt_meld.png gquilt_finish.png
 ICON_LIST=$(patsubst %,icons/%,$(ICONS))
 
 SRC=gquilt.sh Makefile compile.py $(MODULES_SRC) gquilt.xpm gquilt.desktop ChangeLog gquilt.spec qbsfe.sh COPYING
