## gquilt 0.25

=== Makefile ===
VERSION:=$(subst ',,$(subst VERSION = ',,$(shell grep "VERSION = " setup.py)))
RELEASE:=$(subst ,,$(subst release = ,,$(shell grep "release = " setup.cfg)))
PREFIX=/usr
PKG_DIR=gquilt_pkg

RPMBDIR=~/rpmbuild
RPMSRC:=$(RPMBDIR)/SOURCES/$(SRCDIST)

SRCDIST:=gquilt-$(VERSION).tar.gz
RPMDIST:=gquilt-$(VERSION)-$(RELEASE).noarch.rpm

#all: $(MODULES_BIN) $(MODULES_OPT)
#	@echo "\"make install\" to install in /usr/local"

gquilt.spec: setup.py Makefile setup.cfg
	python setup.py bdist_rpm --spec-only --dist-dir .
	echo "%{_prefix}" >> gquilt.spec
	sed -i \
		-e 's/^\(python setup.py install.*\)/\1\ndesktop-file-install gquilt.desktop --dir $$RPM_BUILD_ROOT%{_datadir}\/applications/' \
		-e 's|-f INSTALLED_FILES|\n/etc/gquilt.d/qbsfe.sh|' \
		gquilt.spec

install:
	python setup.py install --prefix=$(PREFIX)
	desktop-file-install gquilt.desktop --dir $(PREFIX)/share/applications

source_dist: $(SRCDIST)

$(SRCDIST):
	python setup.py sdist --dist-dir .

rpm: $(RPMDIST)

$(RPMSRC): $(SRCDIST)
	cp $(SRCDIST) $(RPMSRC)

$(RPMBDIR)/SOURCES/gquilt.xpm:
	cp gquilt.xpm $(RPMBDIR)/SOURCES

$(RPMDIST): $(RPMSRC) gquilt.spec $(RPMBDIR)/SOURCES/gquilt.xpm
	rpmbuild -bb gquilt.spec
	cp $(RPMBDIR)/RPMS/noarch/$(RPMDIST) .

release: $(SRCDIST) $(RPMDIST)

clean:
	-rm gquilt_pkg/*.pyc gquilt_pkg/*~ *~
	-rm *.rpm *.spec *.exe *.tar.gz MANIFEST
	-rm -r build dist
