=== debian/changelog ===
gquilt (0.25-5) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 4.1.0.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information and licenses.
  * debian/gquilt.lintian-overrides:
      - Pointing the correct file path to override.
  * debian/watch:
      - Bumped to version 4.
      - Search regex updated.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 17 Sep 2017 22:16:11 -0300

gquilt (0.25-4) unstable; urgency=low

  * Orphan gquilt.

 -- Christine Spang <christine@debian.org>  Sun, 24 Aug 2014 12:41:49 -0700

gquilt (0.25-3) unstable; urgency=low

  * Convert to dh_python2. (Closes: #730246)
    - Thanks Logan Rosen for the patch.
  * Bump to Standards-Version 3.9.4.

 -- Christine Spang <christine@debian.org>  Sun, 24 Nov 2013 16:41:02 -0800

gquilt (0.25-2) unstable; urgency=low

  * build for all supported python versions (Closes: #624609)
    - Thanks Scott Kitterman for the patch.

 -- Christine Spang <christine@debian.org>  Sun, 19 Jun 2011 10:23:52 -0400

gquilt (0.25-1) unstable; urgency=low

  * New upstream version.
  * Bump to standards-version 3.9.1.
  * Switch from python-central to python-support.
  * Switch source package version to 3.0 (quilt).

 -- Christine Spang <christine@debian.org>  Sun, 06 Feb 2011 21:18:39 -0500

gquilt (0.22-1) unstable; urgency=low

  * New Upstream Version
    - A "finish to" option has been added to the patch list widget pop up menu
    - diff display dialogs now detect and highlight any trailing white space
    ADDED by the patch and include a mechanism for navigating between
    instances of trailing white space
    - Signed-off-by, Ack and Author buttons have been added to description
    edit dialog
    - A "history" capability (similar to bash) has been added to the manual
    command entry
    - A method to revert unrefreshed changes to files in the top patch has been
    added
  * Bump to Standards-Version 3.8.1.
  * debian/compat should be 7, not 4

 -- Christine Spang <christine@debian.org>  Fri, 05 Jun 2009 03:29:00 -0400

gquilt (0.21-1) unstable; urgency=low

  * New Upstream Version
  * Fix two lintian warnings about copyright file.

 -- Christine Spang <christine@debian.org>  Tue, 31 Mar 2009 20:46:38 -0400

gquilt (0.20-3) unstable; urgency=low

  * Depend on quilt | mercurial since gquilt also works with mercurial
    queues (Closes: #516690)
  * Bump to standards-version 3.8.0.
  * Use debhelper 7, not CDBS. (It even makes debian/rules shorter.)

 -- Christine Spang <christine@debian.org>  Sun, 01 Mar 2009 09:55:32 -0500

gquilt (0.20-2) unstable; urgency=low

  * Change my maintainer e-mail address.
  * Added debian/watch.
  * Updated gquilt.menu to new menu policy.
  * Fix .desktop file for freedesktop compliance.
  * Refreshed patches to remove fuzz. 

 -- Christine Spang <christine@debian.org>  Mon, 03 Dec 2007 00:37:05 -0500

gquilt (0.20-1) unstable; urgency=low

  * New upstream version - changes to facilitate the splitting of
    patches into a number of smaller patches.
    - where possible "files" now displays files in unapplied patches
    - where possible "diff" now displays diffs for unapplied patches
    - where possible "diff" allows unapplied diffs to be edited and saved
    - new item "duplicate" can be used to import a duplicate of a selected
      unapplied patch
    - if interdiff is available, an "interdiff" of the top patch and a
      selected unapplied patch can be imported
  * Add a Recommends: on patchutils.
  * Remove wrapper patch; new upstream version contains the fix.

 -- Christine Spang <spang@mit.edu>  Mon,  5 Mar 2007 10:47:00 -0500

gquilt (0.19-1) unstable; urgency=low

  * Move wrapper patch to 1xx series; change has been accepted by
    upstream.
  * New upstream version.
    - now supports mercurial as well as quilt
  * Remove dh_python from debian/rules; it does nothing.

 -- Christine Spang <spang@mit.edu>  Thu, 22 Feb 2007 12:32:31 -0500

gquilt (0.17-4) unstable; urgency=high

  * Patch upstream's wrapper so that we don't directly try to execute
    byte-compiled code. This allows us to be able to use different
    versions of python without a new package.
  * Revert back dependency changes from 0.17-3; we have a better
    fix.

 -- Christine Spang <spang@mit.edu>  Tue, 20 Feb 2007 02:15:32 -0500

gquilt (0.17-3) unstable; urgency=high

  * High urgency, closes a release-critical bug.
  * Gquilt ships private python modules; declare a tight dependency
    on python. (Closes: #411198)
  * Remove debian/watch and change homepage url; upstream has moved
    to sourceforge.
  * Check package against current python policy.

 -- Christine Spang <spang@mit.edu>  Fri, 16 Feb 2007 23:59:45 -0500

gquilt (0.17-2) unstable; urgency=low

  * Update my e-mail address.
  * Bump Standards-Version to 3.7.2.1; no change.
  * Update for new python policy.

 -- Christine Spang <spang@mit.edu>  Mon, 10 Jul 2006 23:33:32 -0400

gquilt (0.17-1) unstable; urgency=low

  * New upstream release.
    - fix breakage with new quilt (>= 0.43)
  * Bumped Standards-Version to 3.7.0.0; no change.
  * Fixed quilt, cdbs, debhelper to be specified as Build-Depends: in
    debian/control

 -- Christine Spang <spangarang@twcny.rr.com>  Tue, 2 May 2006 20:45:42 -0500

gquilt (0.16-1) unstable; urgency=low

  * New upstream release
    - improve speed of push/pop all/to by using quilt functionality
    - add environmental variable GQUILT_PERUSER
    - bug fix: handle optional arguments in editor environmental vars

 -- Christine Spang <spangarang@twcny.rr.com>  Mon, 23 Jan 2006 05:11:50 -0500

gquilt (0.15-1) unstable; urgency=low

  * New upstream release.
    - add "combined diff" to actions menu
    - request confirmation when removing files from top patch
    - improve user feedback during complex operations
  * Updated FSF address in copyright file.


