=== debian/control ===
Source: gquilt
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), python-all (>= 2.6.6-3~), dh-python
Standards-Version: 4.1.0
Vcs-git: https://anonscm.debian.org/git/collab-maint/gquilt
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gquilt.git
Homepage: http://gquilt.sourceforge.net/

Package: gquilt
Architecture: all
Depends: ${python:Depends}, python-gtk2 (>= 2.4), quilt | mercurial (>= 0.9.3), ${misc:Depends}
Recommends: meld, patchutils
Description: graphical wrapper for quilt and/or mercurial queues
 Quilt and mercurial are programs that manages a series of patches,
 with a focus on handling patch dependencies and allowing easy
 management of large sets of patches.
 .
 Gquilt is a GTK+-based GUI wrapper for the quilt and mercurial
 programs, providing a simple graphical interface for a range of
 commands.
