=== debian/watch ===
version=4
http://sf.net/gquilt/gquilt(?:[\.-])([\d\.]+)(?:_src)?\.(?:tgz|tar\.(?:bz2|gz|xz))
